Loading...
Searching...
No Matches
callbackregister_base Struct Referenceabstract

`#include <gnuradio/rpccallbackregister_base.h>`

## Classes

struct | callback_base_t
class | callback_t

## Public Types

typedef callback_t< gr::messages::msg_accepter, gr::messages::msg_accepter_sptr > | configureCallback_t
typedef callback_t< gr::messages::msg_producer, gr::messages::msg_producer_sptr > | queryCallback_t
typedef callback_t< gr::messages::msg_accepter, gr::messages::msg_accepter_sptr > | handlerCallback_t

## Public Member Functions

| callbackregister_base ()
virtual | ~callbackregister_base ()
virtual void | registerConfigureCallback (const std::string &id, const configureCallback_t callback)=0
virtual void | unregisterConfigureCallback (const std::string &id)=0
virtual void | registerQueryCallback (const std::string &id, const queryCallback_t callback)=0
virtual void | unregisterQueryCallback (const std::string &id)=0
virtual void | registerHandlerCallback (const std::string &id, const handlerCallback_t callback)=0
virtual void | unregisterHandlerCallback (const std::string &id)=0

## Member Typedef Documentation

## configureCallback_t

typedef callback_t<gr::messages::msg_accepter, gr::messages::msg_accepter_sptr> callbackregister_base::configureCallback_t

## handlerCallback_t

typedef callback_t<gr::messages::msg_accepter, gr::messages::msg_accepter_sptr> callbackregister_base::handlerCallback_t

## queryCallback_t

typedef callback_t<gr::messages::msg_producer, gr::messages::msg_producer_sptr> callbackregister_base::queryCallback_t

## Constructor & Destructor Documentation

## callbackregister_base()

callbackregister_base::callbackregister_base | ( |  | ) |

inline

## ~callbackregister_base()

virtual callbackregister_base::~callbackregister_base | ( |  | ) |

inline virtual

## Member Function Documentation

## registerConfigureCallback()

virtual void callbackregister_base::registerConfigureCallback | ( | const std::string & | id,
|  | const configureCallback_t | callback )

pure virtual

Implemented in rpcserver_aggregator, rpcserver_base, and rpcserver_thrift.

## registerHandlerCallback()

virtual void callbackregister_base::registerHandlerCallback | ( | const std::string & | id,
|  | const handlerCallback_t | callback )

pure virtual

Implemented in rpcserver_aggregator, rpcserver_base, and rpcserver_thrift.

## registerQueryCallback()

virtual void callbackregister_base::registerQueryCallback | ( | const std::string & | id,
|  | const queryCallback_t | callback )

pure virtual

Implemented in rpcserver_aggregator, rpcserver_base, and rpcserver_thrift.

## unregisterConfigureCallback()

virtual void callbackregister_base::unregisterConfigureCallback | ( | const std::string & | id | ) |

pure virtual

Implemented in rpcserver_aggregator, rpcserver_base, and rpcserver_thrift.

## unregisterHandlerCallback()

virtual void callbackregister_base::unregisterHandlerCallback | ( | const std::string & | id | ) |

pure virtual

Implemented in rpcserver_aggregator, rpcserver_base, and rpcserver_thrift.

## unregisterQueryCallback()

virtual void callbackregister_base::unregisterQueryCallback | ( | const std::string & | id | ) |

pure virtual

Implemented in rpcserver_aggregator, rpcserver_base, and rpcserver_thrift.

The documentation for this struct was generated from the following file:

- rpccallbackregister_base.h